AgentConnect
Integrations

Continue connecting after the tenant-wide consent

After an administrator accepted the tenant-wide consent, Microsoft returns to the Console’s connect page with the state and no code. This answers the sign-in URL that follows, for the same organization, agent and caller, with a new state that expires in ten minutes.

POST
/v1/orgs/{orgId}/integrations/msteams/connect/consented

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

orgId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/orgs/string/integrations/msteams/connect/consented" \  -H "Content-Type: application/json" \  -d '{    "state": "string"  }'
{  "authorizeUrl": "http://example.com"}